#include <bits/stdc++.h>
using namespace std;
int n,k,p[20005];
int main(){
    cin >> n >> k;
    for(int i=1;i<=n;i++){
        cin >> p[i];
    }
    for(int j=1;j<=n;j++){
        if(p[j]==k){
            if(p[j]==p[n]){
                cout << p[1];
            }
            else{
                cout << p[j+1];
            }
        }
    }
return 0;
}